Developers

Retrieves the collection of TicketMessage resources

GET
/ticket/tickets/{id}/ticket-messages

Retrieves the collection of TicketMessage resources

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

Ticket identifier

Formatuuid

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
order[createdAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"

Response Body

curl -X GET "https://example.com/ticket/tickets/497f6eca-6276-4993-bfeb-53cbbbba6f08/ticket-messages"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "content": "string",    "isIncoming": true,    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "contractorName": "string",      "jobPositionName": "string"    },    "createdAt": "2019-08-24T14:15:22Z",    "ticketFiles": [      {        "createdBy": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "firstName": "string",          "lastName": "string",          "email": "string",          "pictureSm": "string",          "contractorName": "string",          "jobPositionName": "string"        },        "path": "string",        "previewImageUrl": "string",        "type": "ticket-message",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "displayedName": "string",        "extension": "string",        "size": 0,        "source": "internal",        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "isAttachmentSizeExceeded": true  }]